import { Component, Host, h, Prop } from '@stencil/core';
export class BcdRating {
    getPortions() {
        let ret = [];
        for (let i = 0; i < this.max; i++) {
            const portionFull = i < this.rating;
            const classes = 'portion ' + (portionFull ? 'portion-full' : '');
            ret.push(h("div", { class: classes }));
        }
        return ret;
    }
    render() {
        return (h(Host, null,
            h("slot", null, this.getPortions())));
    }
    static get is() { return "bcd-rating"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() { return {
        "$": ["bcd-rating.css"]
    }; }
    static get styleUrls() { return {
        "$": ["bcd-rating.css"]
    }; }
    static get properties() { return {
        "rating": {
            "type": "number",
            "mutable": false,
            "complexType": {
                "original": "number",
                "resolved": "number",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "The rating"
            },
            "attribute": "rating",
            "reflect": false
        },
        "max": {
            "type": "number",
            "mutable": false,
            "complexType": {
                "original": "number",
                "resolved": "number",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "The max rating"
            },
            "attribute": "max",
            "reflect": false
        }
    }; }
}
