import { r as registerInstance, h, H as Host } from './index-a2176f6c.js';
var bcdRatingCss = ":host{display:-ms-inline-flexbox;display:inline-flex;--bcd-rating-margin-left:2px;--bcd-rating-border-color:black;--bcd-rating-background-fill-color:black;--bcd-rating-background-empty-color:white;--bcd-rating-size:15px;--bcd-rating-border-radius:50%;--bcd-rating-border-width:2px;--bcd-rating-border-type:solid}.portion{border:var(--bcd-rating-border-width) var(--bcd-rating-border-type) var(--bcd-rating-border-color);background-color:var(--bcd-rating-background-empty-color);width:var(--bcd-rating-size);height:var(--bcd-rating-size);border-radius:var(--bcd-rating-border-radius);margin:0 var(--bcd-rating-margin-left) 0 var(--bcd-rating-margin-left)}.portion-full{background-color:var(--bcd-rating-background-fill-color)}";
var BcdRating = /** @class */ (function () {
    function BcdRating(hostRef) {
        registerInstance(this, hostRef);
    }
    BcdRating.prototype.getPortions = function () {
        var ret = [];
        for (var i = 0; i < this.max; i++) {
            var portionFull = i < this.rating;
            var classes = 'portion ' + (portionFull ? 'portion-full' : '');
            ret.push(h("div", { class: classes }));
        }
        return ret;
    };
    BcdRating.prototype.render = function () {
        return (h(Host, null, h("slot", null, this.getPortions())));
    };
    return BcdRating;
}());
BcdRating.style = bcdRatingCss;
export { BcdRating as bcd_rating };
